require 'rails_helper'

RSpec.describe "settings/menu_item_options/index", type: :view do
  before(:each) do
    assign(:settings_menu_item_options, [
      Settings::MenuItemOption.create!(
        :name => "Name",
        :value => "Value"
      ),
      Settings::MenuItemOption.create!(
        :name => "Name",
        :value => "Value"
      )
    ])
  end

  it "renders a list of settings/menu_item_options" do
    render
    assert_select "tr>td", :text => "Name".to_s, :count => 2
    assert_select "tr>td", :text => "Value".to_s, :count => 2
  end
end
